import com.wix.accord._
import com.wix.accord.dsl._

object Test extends App {

  case class Person(name: String, age: Int)
  implicit val pv = validator[Person] { p =>
    p.age must be >= 18
    p.name is notEmpty
  }

  println(validate(Person("ok", 20)))
  println(validate(Person("", 20)))
  println(validate(Person("ok", 5)))
}

